Subject: bug#78844: 30.1; feature request: public interface for querying builtin packages and versions

From: Sean Whitton <[email-masked]>
Date: Fri, 27 Jun 2025 11:45:25 +0100

Hello,

On Fri 27 Jun 2025 at 03:34am -07, Xiyue Deng wrote:

> Hi Sean,
>
> Sean Whitton <[email-masked]> writes:
>
>> Hello Xiyue,
>>
>> Please add a NEWS entry
>
> Added as a second patch.

Please merge them into one patch.

>> and see if these packages need documentation in the Elisp manual (they
>> may or may not).
>>
>
> I don't seem to find any Elisp manual for package.el (there is one in
> the Emacs manual but only has documents for user facing interfaces for
> the package buffer).  But do let me know if there is.

I don't know, that's why I was asking you to look :)

If there isn't anywhere to update, then you should use "---" not "+++"
in etc/NEWS.

-- 
Sean Whitton